clear all;
HFUNC=load('ter.dat');

Z2=200.;%MAXIMUM RANGE
XMAX=50.;%MAXIMUM HEIGHT
snap_number=input('Enter snapshot number (1-40) : ');
NZ=2000;
NX=500;
SZ=20;

DELX=5.*XMAX/NX;
DELZ=10.*Z2/NZ;
llz=NZ/10;%200 for the given parameters
llx=NX/5;%100 for the given parameters

k=1;
load snap.dat
for l=1:40
for j=1:llz
   for i=1:llx
      if l==snap_number CIZ(i,j)=sqrt(snap(k)*snap(k));
      end
   k=k+1;
   end
end
end
CIZMX=max(max(CIZ));%MAXIMUM OF |EY| 
for j=1:llz
   for i=1:llx
       CIZ(i,j)=CIZ(i,j)/CIZMX; %NORMALIZATION 
   end
end


for   t=1:llz
   for k=1:llx
      x=(k-1)*DELX;
      if t<(NZ-SZ)/10
        tt=(t-1)*10+1; 
        if x<=HFUNC(tt,2)
              c(k,t)=1.+1./10;
        else
              colormap_index=CIZ(k,t);
              c(k,t)=colormap_index;
        end
        else
              colormap_index=CIZ(k,t);%CIZ(k,t);
              c(k,t)=colormap_index;
      end 
        
  end
end

for r=1:llz
    for q=1:llx
     VX(q)=(q-1)*DELX;
    end
   VZ(r)=(r-1)*DELZ;
end

pcolor(VZ,VX,c)
colormap(jet)
colorbar
shading interp
xlabel('Range [m]');
ylabel('Height [m]');
iteration_number=snap_number*50;
title(['Iteration number = ',int2str(iteration_number)])
